Bug 491580 - Mystical dialogs which don't make any sense
Mystical dialogs which don't make any sense
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 02:26 EDT by Matěj Cepl
Modified: 2018-04-11 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.10-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yet another non-sensical dialog box (8.27 KB, image/png)
2009-06-17 02:09 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-03-23 02:26:20 EDT
Description of problem:
When not having 

Version-Release number of selected component (if applicable):
krb5-auth-dialog-0.8-2.fc10.x86_64
(private build of Rawhide package from some time ago)

How reproducible:
let's say 80%?

Steps to Reproduce:
1.not having Kerberos ticket, icon looks correctly (with red X in the corner)
2.click on it
3.
  
Actual results:
dialog box saying that "Couldn't acquire kerberos ticket: 'Client not found in Kerberos database'"

Expected results:
dialog box asking for password

Additional info:
Comment 1 James Laska 2009-04-09 07:44:10 EDT
Also seeing this with F-11 (krb5-auth-dialog-0.8-3.fc11.i586)
Comment 2 Matěj Cepl 2009-04-10 03:18:09 EDT
(In reply to comment #1)
> Also seeing this with F-11 (krb5-auth-dialog-0.8-3.fc11.i586)  

Do you have really Rawhide or F-10 with rebuild F11 package? It hasn't happened for me on the real Rawhide yet.
Comment 3 James Laska 2009-04-13 11:09:54 EDT
(In reply to comment #2)
> Do you have really Rawhide or F-10 with rebuild F11 package? 

My rawhide system was installed prior to F-11-Beta and is fully updated.  This issue is transient and I haven't reproduced it lately.
Comment 4 Matěj Cepl 2009-05-15 13:53:31 EDT
Trying to upgrade whole package to the latest upstream release.
Could you please try scratch builds on http://koji.fedoraproject.org/koji/taskinfo?taskID=1356694 and let us know how do they work?
Comment 5 Bug Zapper 2009-06-09 08:30:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-06-11 02:59:21 EDT
Still alive in F11. Having /tmp on tmpfs, when I start new Gnome session, I get this message.
Comment 7 Matěj Cepl 2009-06-11 03:01:33 EDT
Strange thing is that something similar is (or was) apparently present even at our Mac friends' world ... http://discussions.apple.com/thread.jspa?threadID=886698&tstart=455
Comment 8 Matěj Cepl 2009-06-12 03:10:48 EDT
Actually, why in the world we don't use the real upstream source at https://honk.sigxcpu.org/piki/projects/krb5-auth-dialog/ (the author there is apparently maintainer of the Debian package http://packages.qa.debian.org/k/krb5-auth-dialog.html)?
Comment 9 Fedora Update System 2009-06-13 01:49:05 EDT
krb5-auth-dialog-0.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/krb5-auth-dialog-0.10-1.fc11
Comment 10 Matěj Cepl 2009-06-13 01:54:22 EDT
New upgrade of krb5-auth-dialog was provided as https://admin.fedoraproject.org/updates/krb5-auth-dialog-0.10-1.fc11, which may affect this bug.

Please retest and let us know, whether you can still reproduce this bug.
Comment 11 Fedora Update System 2009-06-15 22:16:18 EDT
krb5-auth-dialog-0.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krb5-auth-dialog'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6352
Comment 12 Matěj Cepl 2009-06-17 02:09:32 EDT
Created attachment 348211 [details]
yet another non-sensical dialog box

OK, even with the new krb5-auth-dialog I got this morning this. "Nepřípustný argument" is "Unacceptable argument" in Czech.
Comment 14 Fedora Update System 2009-07-16 03:34:51 EDT
krb5-auth-dialog-0.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.